##### 7.5.3.0. inCentralizer

Procedure from library `central.lib` (see central_lib).

Usage:
  inCentralizer(E, S); E poly/list/ideal, S poly/ideal

Return:
  integer, 1 if E is in the centralizer(S), 0 otherwise

Purpose:
  check whether the elements of E are in the centralizer(S)

Example:

    LIB "central.lib";
    ring R = 0,(x,y,z),dp;
    matrix D[3][3]=0;
    D[1,2]=-z;
    def r = nc_algebra(1,D); setring r; // the Heisenberg algebra
    poly f = x^2;
    poly a = z; // 'z' is central => it lies in every centralizer!
    poly b = y^2;
    inCentralizer(a, f);
    ==> 1
    inCentralizer(b, f);
    ==> 0
    list  l = list(1, a);
    inCentralizer(l, f);
    ==> 1
    ideal I = a, b;
    inCentralizer(I, f);
    ==> 0
    printlevel = 2;
    inCentralizer(a, f); // yes
    ==> 1
    inCentralizer(b, f); // no
    ==> [1]:
    ==>    POLY: y2 is NOT in the centralizer of polynomial {x2}
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.